Probleme mit Java 11 ?



  • Guten Tag!

    Ich habe noch die 13.2.1 weil ich mit der aktuellen Version Problem hatte.
    Ich nutze Java 8.02410.7 ( Java 8 Update 241 ). Da ich nicht weiß, was ich als Anwender, von der Java 11 halten soll. Sie haben ja die Lizenz geändert und ich möchte mir keine Kosten aufhalsen.
    Kann man dafür vielleicht auch die aktuelle Open JDK ( https://openjdk.java.net/ ) einsetzen ?

    MfG R.Lehmeier



  • @Lehmeier wegen MV 13.2.1 brauchst Du Dir keine Gedanken machen, was Du von Java 11 halten möchtest. Denn, MV 13.2.1 ist nur mit Java 8 kompatibel

    C:\OpenJDK\bellsoft-jdk11.0.6-win_i586\bin>java -Xmx1G -jar C:\MediathekView-13.2.1\MediathekView.jar 
    

    Anmerkung 2020-02-15 112821.png

    Es gibt einige Anbieter von OpenJDK. Aber ich weiß nicht, ob jede Ausgabe geeignet ist. Du benötigst definitiv ein Paket, in dem JavaFX mitgepackt ist. Der Entwickler des MV Client hat vor einiger Zeit mal Liberica OpenJDK von Bellsoft erwähnt und ich hab mit Liberica einige MV auf einigen Plattformen zum Laufen gebracht.

    Du findest z.B. Liberica OpenJDK 8u242. Du brauchst aber zwingend die “FULL” Varianten (in der zweiten Tabelle) die “normalen” Varianten (in der ersten Tabelle) haben KEIN JavaFX dabei.
    “JRE full” genügt. MV 13.2.1 benötigt noch nicht das JDK.
    Läuft bei mir grade, genau so.

    Zulu OpenJDK hat auch JRE 8 mit JavaFX. Aber ich kenne sicher nicht alle Anbieter.

    Derzeit wird MV 13.4+ mit AdoptOpenJDK ausgeliefert.



  • Ich glaube ich habe mich mißverständlich ausgedrückt.
    Ich würde gern die aktuelle 13.5.1 nutzen, aber die benötigt die Java 11.
    Und hier wollte ich wissen ob ich für die Java 11 das OpenJDK nutzen kann und wenn ja, ab welcher Version.



  • @Lehmeier

    Derzeit wird MV 13.4+ mit AdoptOpenJDK ausgeliefert.

    bedeutet: MV 13.4+ bringt ein passendes Java selbst mit. AdoptOpenJDK 11u4


Log in to reply
 

67
Online

4.3k
Users

3.7k
Topics

24.1k
Posts